import router from './router';
import store from './store';

const whiteList = ['/login', '/auth-redirect', '/bind', '/register'];

router.beforeEach((to, from, next) => {
  let queryLoginName = to.query.loginName || null;
  if (queryLoginName) {
    localStorage.setItem('loginName', queryLoginName);
  }
  const username = localStorage.getItem('loginName');
  if (username) {
    /* has token*/
    if (!store.state.user.userInfo) {
      // 获取移动端获取用户信息接口
      store
        .dispatch('getUserInfo')
        .then(() => {
          next();
        })
        .catch(() => {
          next();
        });
    } else {
      next();
    }
  } else {
    // 测试使用 账户密码登录页面，正式环境禁用
    if (to.path == '/logincs' && process.env.NODE_ENV == 'production') {
      next('/');
    } else {
      next();
    }
    // // 没有token
    // if (whiteList.indexOf(to.path) !== -1) {
    //   // 在免登录白名单，直接进入
    //   next();
    // } else {
    //     next(`/login?redirect=${to.fullPath}`); // 否则全部重定向到登录页
    //     NProgress.done();
    // }
  }
});
